<template>
  <div v-if="isShow" class="mask" @click="hideDialog">
    <div class="xio_room_status_chg_dialog" @click.stop="noop">
      <div class="title">MIC通知卸麻！</div>
      <div class="btn_box flex flex-center">
        <div class="btn_box_item flex flex-center" @click="confirm">
          <div class="flex flex-ver">
            <div class="tx">我已知晓</div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'XioRoomStatusChg',
  props: {
    isActive: {
      type: Boolean,
      default: false
    }
  },
  data() {
    return {
      isShow: false
    }
  },
  methods: {
    noop() {
      return
    },
    // 确认
    confirm() {
      this.isShow = false
      this.$emit('confirm', { })
    },
    // 显示弹窗
    showDialog() {
      this.isShow = true
    },
    // 关闭弹窗
    hideDialog() {
      this.isShow = false
      this.$emit('confirm', { })
    }
  }
}
</script>

<style scoped>
.xio_room_status_chg_dialog {
  width: 1105px;
  min-height: 602px;
  /* border-radius: 10px; */
  background-color: rgba(255,255,255,1);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  z-index: 1;
}
.xio_room_status_chg_dialog .title {
  line-height: 112px;
  color: rgba(16,16,16,1);
  font-size: 80px;
  text-align: center;
  font-family: PingFangSC-medium;
  font-weight: bold;
  padding-top: 159px;
}
.xio_room_status_chg_dialog .btn_box {
  margin-top: 131px;
}
.xio_room_status_chg_dialog .btn_box .line {
  width: 100%;
}
.xio_room_status_chg_dialog .btn_box_item {
  width: 300px;
  height: 100px;
  line-height: 52px;
  border-radius: 4px;
  background-color: rgba(34,123,235,1);
  color: rgba(255,255,255,1);
  font-size: 36px;
  text-align: center;
  font-family: Microsoft Yahei;
  box-shadow: 0px 2px 6px 0px rgba(206,206,206,0.86);
}
/* .xio_room_status_chg_dialog .btn_box_item.white {
  background-color: rgba(255,255,255,1);
}
.xio_room_status_chg_dialog .btn_box_item.blue {
  background-color: rgba(46,77,124,1);
}
.xio_room_status_chg_dialog .btn_box_item.yellow {
  background-color: rgba(255,199,115,1);
}
.xio_room_status_chg_dialog .btn_box_item.gray {
  background-color: rgba(206,206,206,1);
} */
.xio_room_status_chg_dialog .btn_box_item .icon {
  width: 60px;
  height: 60px;
  display: block;
  margin-right: 17px;
}
.xio_room_status_chg_dialog .btn_box_item .icon .img {
  width: 100%;
  height: 100%;
}
/* .xio_room_status_chg_dialog .btn_box_item .tx {
  line-height: 37px;
  color: rgba(51,51,51,1);
  font-size: 26px;
  text-align: center;
  font-family: PingFangSC-medium;
}
.xio_room_status_chg_dialog .btn_box_item .tx.white {
  color: #ffffff;
} */
</style>
